summaryrefslogtreecommitdiffstats
path: root/security/nss/automation/taskcluster/scripts/run_coverity.sh
diff options
context:
space:
mode:
Diffstat (limited to 'security/nss/automation/taskcluster/scripts/run_coverity.sh')
-rw-r--r--security/nss/automation/taskcluster/scripts/run_coverity.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/security/nss/automation/taskcluster/scripts/run_coverity.sh b/security/nss/automation/taskcluster/scripts/run_coverity.sh
new file mode 100644
index 000000000..4b09f5398
--- /dev/null
+++ b/security/nss/automation/taskcluster/scripts/run_coverity.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+source $(dirname "$0")/tools.sh
+
+# Clone NSPR if needed.
+if [ ! -d "nspr" ]; then
+ hg_clone https://hg.mozilla.org/projects/nspr ./nspr default
+
+ if [[ -f nss/nspr.patch && "$ALLOW_NSPR_PATCH" == "1" ]]; then
+ pushd nspr
+ cat ../nss/nspr.patch | patch -p1
+ popd
+ fi
+fi
+
+# Build and run Coverity
+cd nss
+./mach static-analysis
+
+# Return the exit code of the Coverity Analysis
+exit $?